div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", aria-label="Close", (click)="activeModal.close({'Resultado' : 'N'})").close
        span(aria-hidden="true") &times;

div.modal-body
    div.container-fluid
        div.form-row
            div.form-group.col-8
                h5 [ {{ tArticuloModal.Codarticulo }} ] - {{ tArticuloModal.Descripcion }}
            div.form-group.col-2
                label.h6
                    small.form-label Maneja Tallas
                div.ControlInput
                    div.ControlInput--ContenedorIcono
                        span.ControlInput--ContenedorIcono-Icono
                            i.fas.fa-box
                    label(size-label="sm").ControlInput--Label {{ ManejaTallas() }} 
            div.form-group.col-2
                label.h6
                    small.form-label Maneja Intermedias
                div.ControlInput
                    div.ControlInput--ContenedorIcono
                        span.ControlInput--ContenedorIcono-Icono
                            i.fas.fa-box
                    label(size-label="sm").ControlInput--Label {{ ManejaTallasInt() }}
        hr 
        div.form-row
            div.form-group.col-10
                label.h6.form-label Tipo de ajuste
                div.input-group
                    select([(ngModel)]="tTipoAjusteActual",
                            (change)="CambiarTipoAjuste()").custom-select.custom-select-sm
                        option(*ngFor="let tTipoFor of tTiposAjustesInv",
                                [ngValue]="tTipoFor") [ {{ tTipoFor.Codtipoajusteinv }} ] - {{ tTipoFor.Descripcion }}
            div.form-group.col-2
                label.h6.form-label Operación
                div.input-group
                    label.form-control.h6.text-center.form-control-sm {{ tTipoAjusteActual.Operacion }}
        div.form-row
            div.form-group.col-4
                div.form-row
                    div.form-group.col-12
                        label.form-label.h6 Talla
                        div.ControlInput
                            div.ControlInput--ContenedorIcono
                                span.ControlInput--ContenedorIcono-Icono
                                    i.fas.fa-dollar-sign
                            input(type="text", 
                                    placeholder="Talla",
                                    [(ngModel)]="tAjusteInvActual.Talla",
                                    [disabled]="tBloquearTallas",
                                    "size"="sm").ControlInput--Input
                            div.ControlInput--ContenedorChecbox
                                div.ControlInput--ContenedorChecbox-Div
                                    input#chkTallaInt(type="checkbox", 
                                                            placement="top", 
                                                            ngbTooltip="Talla intermedia",
                                                            [(ngModel)]="tTallaInt",
                                                            [disabled]="tBloquearTallasInt").ControlInput--ContenedorChecbox-Check
                                    label(for="chkTallaInt").custom-control-label.h6
                div.form-row
                    div.form-group.col-12
                        label.form-label.h6 Cantidad
                        div.ControlInput
                            div.ControlInput--ContenedorIcono
                                span.ControlInput--ContenedorIcono-Icono
                                    i.fas.fa-calculator
                            input(type="number",
                                    SoloNumeros="number"
                                    placeholder="Cantidad",
                                    required="",
                                    name="Cantidad",
                                    [(ngModel)]="tAjusteInvActual.Cantidad",
                                    size="sm").ControlInput--Input
                div.form-row
                    div.form-group.col-12
                        label.h6.form-label.h6 Almacén 
                        div.input-group
                            select([(ngModel)]="tAlmacenActual",
                                    (change)="CambiarAlmacen()").custom-select.custom-select-sm
                                option(*ngFor="let tAlmacenFor of tAlmacenes",
                                        [ngValue]="tAlmacenFor") [ {{ tAlmacenFor.Codalmacen }} ] - {{ tAlmacenFor.Descripcion }}                    
            div.form-group.col-8
                div.form-row
                    div.form-group.col-12
                        label.form-label.h6 Comentario
                        textarea(rows="3",
                                    [(ngModel)]="tAjusteInvActual.Comentario",
                                    placeholder="Comentario").form-control
div.modal-footer
    button(type="button", (click)="Agregar()").btn.btn-primary.btn-icon-split
        span.icon.text-white-50
            i.fas.fa-check
        span.text Realizar ajuste 
    button(type="button", (click)="activeModal.close({'Resultado' : 'S'})").btn.btn-secondary.btn-icon-split
        span.icon.text-white-50
            i.fas.fa-times
        span.text Cancelar 